## libdbusmenu-lxqt 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18.0)
project(dbusmenu-lxqt)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

# Build options
option(WITH_DOC "Build documentation (requires Doxygen)" OFF)

# Versions
## Package version
set(dbusmenu_lxqt_VERSION_MAJOR 0)
set(dbusmenu_lxqt_VERSION_MINOR 1)
set(dbusmenu_lxqt_VERSION_PATCH 0)
set(dbusmenu_lxqt_VERSION ${dbusmenu_lxqt_VERSION_MAJOR}.${dbusmenu_lxqt_VERSION_MINOR}.${dbusmenu_lxqt_VERSION_PATCH})

## Lib version
### Bump this one when a binary-incompatible change is introduced
set(dbusmenu_lxqt_lib_SOVERSION 0)

### Bump this one when the API is extended in a binary-compatible way
set(dbusmenu_lxqt_lib_API_VERSION 1)

### Bump this one when changes do not extend the API
set(dbusmenu_lxqt_lib_PATCH_VERSION 0)

set(dbusmenu_lxqt_lib_VERSION ${dbusmenu_lxqt_lib_SOVERSION}.${dbusmenu_lxqt_lib_API_VERSION}.${dbusmenu_lxqt_lib_PATCH_VERSION})

if(WITH_DOC)
    find_package(Doxygen REQUIRED)
endif()

find_package(Qt6 REQUIRED COMPONENTS Core Widgets DBus)
include_directories(${Qt6Widgets_INCLUDE_DIRS} ${Qt6DBus_INCLUDE_DIRS})
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOMOC_RELAXED_MODE ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include (CheckCXXCompilerFlag)
# Check some compiler flags
check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
endif (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)

check_cxx_compiler_flag(-Woverloaded-virtual __DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
if (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
endif (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)

check_cxx_compiler_flag(-std=c++17 __DBUSMENU_HAVE_CXX17)
if (__DBUSMENU_HAVE_CXX17)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
endif (__DBUSMENU_HAVE_CXX17)

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
set(LIB_DESTINATION "${CMAKE_INSTALL_LIBDIR}")
set(CMAKECONFIG_INSTALL_DIR "${LIB_DESTINATION}/cmake/dbusmenu-lxqt")
set(INCLUDE_INSTALL_DIR "include/dbusmenu-lxqt")

# dist targets
set(ARCHIVE_NAME libdbusmenu-lxqt-${dbusmenu_lxqt_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    )

add_custom_target(distcheck
    COMMAND cd ${CMAKE_BINARY_DIR}
    && rm -rf ${ARCHIVE_NAME}
    && tar xf ${ARCHIVE_NAME}.tar.bz2
    && mkdir ${ARCHIVE_NAME}/build
    && cd ${ARCHIVE_NAME}/build
    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
    && make
    && make install
    && make check
    )
add_dependencies(distcheck dist)

configure_file(dbusmenu-lxqt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-lxqt.pc @ONLY)

install(FILES ${CMAKE_BINARY_DIR}/dbusmenu-lxqt.pc
        DESTINATION ${LIB_DESTINATION}/pkgconfig
    )

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(tools)

if(WITH_DOC)
    configure_file(Doxyfile.in ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_target(doc ALL doxygen
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        )

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html/
        DESTINATION share/doc/libdbusmenu-lxqt-doc
        )
endif(WITH_DOC)

# Generate dbusmenu-lxqt-config* files
configure_package_config_file(
    dbusmenu-lxqt-config.cmake.in
    ${CMAKE_BINARY_DIR}/dbusmenu-lxqt-config.cmake
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS INCLUDE_INSTALL_DIR
    )

write_basic_package_version_file(
    ${CMAKE_BINARY_DIR}/dbusmenu-lxqt-config-version.cmake
    VERSION ${dbusmenu_lxqt_VERSION}
    COMPATIBILITY SameMajorVersion
    )

# Install dbusmenu-lxqt-config* files
install(FILES
    ${CMAKE_BINARY_DIR}/dbusmenu-lxqt-config.cmake
    ${CMAKE_BINARY_DIR}/dbusmenu-lxqt-config-version.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

=== tests/CMakeLists.txt ===
add_executable(slowmenu slowmenu.cpp)

find_package(Qt6Test REQUIRED)

target_link_libraries(slowmenu
    ${Qt6Gui_LIBRARIES}
    ${Qt6Core_LIBRARIES}
    ${Qt6DBus_LIBRARIES}
    dbusmenu-lxqt
)

set(test_LIBRARIES
    ${Qt6Gui_LIBRARIES}
    ${Qt6Core_LIBRARIES}
    ${Qt6DBus_LIBRARIES}
    ${Qt6Test_LIBRARIES}
    dbusmenu-lxqt
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../src
    ${CMAKE_CURRENT_BINARY_DIR}/../src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${Qt6Test_INCLUDE_DIRS}
    ${Qt6DBus_INCLUDE_DIRS}
    )

# Macros to create "check" target
set(_test_executable_list "")

macro(add_test_executable _executable)
    add_test(${_executable} ${_executable})
    set(_test_executable_list "${_test_executable_list};${_executable}")
    add_executable(${_executable} ${ARGN})
endmacro(add_test_executable)

# Call this at the end
macro(create_check_target)
    add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_executable_list})
endmacro(create_check_target)

enable_testing()


# dbusmenuexportertest
set(dbusmenuexportertest_SRCS
    dbusmenuexportertest.cpp
    testutils.cpp
    )

add_test_executable(dbusmenuexportertest ${dbusmenuexportertest_SRCS})

target_link_libraries(dbusmenuexportertest
    ${test_LIBRARIES}
    )


# dbusmenuimportertest
set(dbusmenuimportertest_SRCS
    dbusmenuimportertest.cpp
    testutils.cpp
    )

add_test_executable(dbusmenuimportertest ${dbusmenuimportertest_SRCS})

target_link_libraries(dbusmenuimportertest
    ${test_LIBRARIES}
    )


# dbusmenushortcuttest
set(dbusmenushortcuttest_SRCS
    dbusmenushortcuttest.cpp
    )

add_test_executable(dbusmenushortcuttest ${dbusmenushortcuttest_SRCS})

target_link_libraries(dbusmenushortcuttest
    ${test_LIBRARIES}
    )

# Keep this at the end
create_check_target()

=== debian/changelog ===
libdbusmenu-lxqt (0.1.0-1~exp1) experimental; urgency=medium

  [ S. 7 ]
  * Initial release. (Closes:#1082577)

  [ Andrew Lee (李健秋) ]
  * debian/control: improve package descriptions.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 25 Sep 2024 18:06:52 +0200

=== debian/control ===
Source: libdbusmenu-lxqt
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.0.0+really2.0.0~),
               qt6-base-dev,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/lxqt/libdbusmenu-lxqt
Vcs-Browser: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt.git

Package: libdbusmenu-lxqt0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: DBusMenu protocol implementation for lxqt
 This library provides DBusMenu protocol implementation for lxqt.
 .
 DBusMenu protocal passes a menu structure across DBus so that a program
 can create a menu simply without worrying about how it is displayed on
 the other side of the bus.

Package: libdbusmenu-lxqt-dev
Architecture: any
Section: libdevel
Depends: libdbusmenu-lxqt0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: DBusMenu protocol implementation for lxqt - development files
 This library provides DBusMenu protocol implementation for lxqt.
 .
 This package provides development files.

## libdbusmenu-lxqt 0.2.0

=== tools/testapp/CMakeLists.txt ===
set(qtapp_SRCS
    main.cpp
    )

add_executable(dbusmenubench-lxqtapp ${qtapp_SRCS})

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../../src
    ${CMAKE_CURRENT_BINARY_DIR}/../../src
    ${Qt6Widgets_INCLUDE_DIRS}
    ${Qt6Core_INCLUDE_DIRS}
    ${Qt6Gui_INCLUDE_DIRS}
    ${Qt6DBus_INCLUDE_DIRS}
    ${QJSON_INCLUDE_DIR}
    )

target_link_libraries(dbusmenubench-lxqtapp
    dbusmenu-lxqt
    ${Qt6Gui_LIBRARIES}
    ${Qt6Core_LIBRARIES}
    ${Qt6DBus_LIBRARIES}
    ${Qt6Widgets_LIBRARIES}
    ${QJSON_LIBRARIES}
    )

=== debian/changelog ===
libdbusmenu-lxqt (0.2.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/salsa-ci.yml: remove unused salsa config.

  [ Andrew Lee (李健秋) ]
  * New upstream version 0.2.0.
  * debian/control: build-deps on lxqt-build-tools (>= 2.1.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 22:20:14 +0100

libdbusmenu-lxqt (0.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 25 Nov 2024 13:25:14 +0100

libdbusmenu-lxqt (0.1.0-1~exp2) experimental; urgency=medium

  * debian/control: build-deps on qt6-base-dev (>= 6.7.2).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 06 Oct 2024 13:08:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               lxqt-build-tools (>= 2.0.0+really2.0.0~),
-               qt6-base-dev,
+               lxqt-build-tools (>= 2.1.0~),
+               qt6-base-dev (>= 6.7.2),
                pkgconf
 Standards-Version: 4.7.0
 Homepage: https://github.com/lxqt/libdbusmenu-lxqt

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_test:
	# Try to fix when upload to unstable.
	#QT_QPA_PLATFORM=offscreen dh_auto_test

## libdbusmenu-lxqt 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Versions
 ## Package version
 set(dbusmenu_lxqt_VERSION_MAJOR 0)
-set(dbusmenu_lxqt_VERSION_MINOR 1)
+set(dbusmenu_lxqt_VERSION_MINOR 3)
 set(dbusmenu_lxqt_VERSION_PATCH 0)
 set(dbusmenu_lxqt_VERSION ${dbusmenu_lxqt_VERSION_MAJOR}.${dbusmenu_lxqt_VERSION_MINOR}.${dbusmenu_lxqt_VERSION_PATCH})
 
@@ -17,7 +17,7 @@
 set(dbusmenu_lxqt_lib_SOVERSION 0)
 
 ### Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_lxqt_lib_API_VERSION 1)
+set(dbusmenu_lxqt_lib_API_VERSION 3)
 
 ### Bump this one when changes do not extend the API
 set(dbusmenu_lxqt_lib_PATCH_VERSION 0)
@@ -29,53 +29,37 @@
 endif()
 
 find_package(Qt6 REQUIRED COMPONENTS Core Widgets DBus)
-include_directories(${Qt6Widgets_INCLUDE_DIRS} ${Qt6DBus_INCLUDE_DIRS})
+
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTOMOC_RELAXED_MODE ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_EXTENSIONS OFF)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
+
+# Default to hidden visibility for symbols
+set(CMAKE_C_VISIBILITY_PRESET hidden)
+set(CMAKE_CXX_VISIBILITY_PRESET hidden)
+set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
 
 include (CheckCXXCompilerFlag)
 # Check some compiler flags
-check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
-if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
-endif (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
-
 check_cxx_compiler_flag(-Woverloaded-virtual __DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
 if (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual")
 endif (__DBUSMENU_HAVE_W_OVERLOADED_VIRTUAL)
 
-check_cxx_compiler_flag(-std=c++17 __DBUSMENU_HAVE_CXX17)
-if (__DBUSMENU_HAVE_CXX17)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17")
-endif (__DBUSMENU_HAVE_CXX17)
+check_cxx_compiler_flag(-Wall __DBUSMENU_HAVE_W_ALL)
+if (__DBUSMENU_HAVE_W_ALL)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
+endif (__DBUSMENU_HAVE_W_ALL)
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)
 set(LIB_DESTINATION "${CMAKE_INSTALL_LIBDIR}")
 set(CMAKECONFIG_INSTALL_DIR "${LIB_DESTINATION}/cmake/dbusmenu-lxqt")
 set(INCLUDE_INSTALL_DIR "include/dbusmenu-lxqt")
-
-# dist targets
-set(ARCHIVE_NAME libdbusmenu-lxqt-${dbusmenu_lxqt_VERSION})
-add_custom_target(dist
-    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
-    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
-    )
-
-add_custom_target(distcheck
-    COMMAND cd ${CMAKE_BINARY_DIR}
-    && rm -rf ${ARCHIVE_NAME}
-    && tar xf ${ARCHIVE_NAME}.tar.bz2
-    && mkdir ${ARCHIVE_NAME}/build
-    && cd ${ARCHIVE_NAME}/build
-    && cmake -DCMAKE_INSTALL_PREFIX=../install ..
-    && make
-    && make install
-    && make check
-    )
-add_dependencies(distcheck dist)
 
 configure_file(dbusmenu-lxqt.pc.in ${CMAKE_BINARY_DIR}/dbusmenu-lxqt.pc @ONLY)

=== src/CMakeLists.txt ===
set(dbusmenu_lxqt_SRCS
    dbusmenu_p.cpp
    dbusmenuexporter.cpp
    dbusmenuexporterdbus_p.cpp
    dbusmenuimporter.cpp
    dbusmenutypes_p.cpp
    dbusmenushortcut_p.cpp
    utils.cpp
    )

qt6_add_dbus_adaptor(dbusmenu_lxqt_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
    ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
    )

configure_file(dbusmenu_version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
    )

add_library(dbusmenu-lxqt SHARED ${dbusmenu_lxqt_SRCS})
set_target_properties(dbusmenu-lxqt PROPERTIES
    VERSION ${dbusmenu_lxqt_lib_VERSION}
    SOVERSION ${dbusmenu_lxqt_lib_SOVERSION}
    )

target_link_libraries(dbusmenu-lxqt
    Qt::Gui
    Qt::Core
        Qt::DBus
    Qt::Widgets
    )

# Make sure linking to the target adds dbusmenu-lxqt install directory
target_include_directories(dbusmenu-lxqt
    INTERFACE "$<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>")

install(TARGETS dbusmenu-lxqt
    EXPORT dbusmenu-lxqt-targets
    LIBRARY DESTINATION ${LIB_DESTINATION}
    RUNTIME DESTINATION bin
    )

install(EXPORT dbusmenu-lxqt-targets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(DIRECTORY .
    DESTINATION ${INCLUDE_INSTALL_DIR}
    FILES_MATCHING PATTERN "*.h"
    PATTERN "*_p.h" EXCLUDE
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

=== debian/changelog ===
libdbusmenu-lxqt (0.3.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copyright file.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 02 May 2025 18:29:51 -0500

libdbusmenu-lxqt (0.2.0-0ubuntu2) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 15:52:30 -0600

libdbusmenu-lxqt (0.2.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Update symbols from build logs.
  * Make the package Lintian-clean.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:31:54 -0600

libdbusmenu-lxqt (0.1.0-0ubuntu1) oracular; urgency=medium

  * Initial upload.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:17:04 -0500

=== debian/control ===
Source: libdbusmenu-lxqt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Aaron Rainbolt <arraybolt3@ubuntu.com>
Section: libs
Priority: optional
Build-Depends: cmake (>= 3.18.0),
               debhelper-compat (= 13),
               libxcb-cursor-dev,
               libxkbcommon-dev (>= 0.5.0),
               pkgconf,
               qt6-base-dev
Standards-Version: 4.7.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/libdbusmenu-lxqt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/libdbusmenu-lxqt-packaging.git
Homepage: https://github.com/lxqt/libdbusmenu-lxqt
Rules-Requires-Root: no

Package: libdbusmenu-lxqt0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt implementation of the DBusMenu protocol
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export and import
 their menus over DBus.
 .
 This package provides the libdbusmenu-lxqt2 shared library.

Package: libdbusmenu-lxqt0-dev
Architecture: any
Section: libdevel
Depends: libdbusmenu-lxqt0 (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export and import
 their menus over DBus.
 .
 This package contain the development files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

# Disabled
override_dh_auto_test:

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## libdbusmenu-lxqt 0.3.0+fix

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,6 @@
 include_directories(
     ${CMAKE_CURRENT_SOURCE_DIR}/../src
     ${CMAKE_CURRENT_BINARY_DIR}/../src
-    ${CMAKE_CURRENT_BINARY_DIR}
-    ${Qt6Test_INCLUDE_DIRS}
-    ${Qt6DBus_INCLUDE_DIRS}
     )
 
 # Macros to create "check" target

=== debian/changelog ===
libdbusmenu-lxqt (0.3.0+fix-1) unstable; urgency=medium

  * Fix broken upstream tarball 0.3.0.
  * d/rules: Remove blank line.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 10:29:39 +0800

libdbusmenu-lxqt (0.3.0-1) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 13 Aug 2025 20:59:40 +0800

libdbusmenu-lxqt (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream version 0.3.0. (Closes: #1097180)
  * debian/control: Added myself as uploader.
  * debian/control: Bumped the version of lxqt-build-tools to 2.2.1.
  * debian/copyright: Added myself.
  * debian/control: Bumped the standards version to 4.7.2.
  * debian/control: Fixed typo protocal-protocol.
  * debian/changelog: Fixed lintian info hardening-no-bindnow.
  * debian/salsa-ci.yml: Temporarily disabled reprotest due to lack of experimental support.

 -- Joel Orón Valiente <moded3v@gmail.com>  Thu, 17 Jul 2025 23:15:35 +0200

=== debian/control ===
Source: libdbusmenu-lxqt
Section: libs
Priority: optional
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Joel Orón Valiente <moded3v@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               lxqt-build-tools (>= 2.2.1~),
               qt6-base-dev (>= 6.7.2),
               pkgconf
Standards-Version: 4.7.2
Homepage: https://github.com/lxqt/libdbusmenu-lxqt
Vcs-Browser: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/libdbusmenu-lxqt.git

Package: libdbusmenu-lxqt0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: DBusMenu protocol implementation for lxqt
 This library provides DBusMenu protocol implementation for lxqt.
 .
 DBusMenu protocol passes a menu structure across DBus so that a program
 can create a menu simply without worrying about how it is displayed on
 the other side of the bus.

Package: libdbusmenu-lxqt-dev
Architecture: any
Section: libdevel
Depends: libdbusmenu-lxqt0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: DBusMenu protocol implementation for lxqt - development files
 This library provides DBusMenu protocol implementation for lxqt.
 .
 This package provides development files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	# Try to fix when upload to unstable.
	#QT_QPA_PLATFORM=offscreen dh_auto_test
